IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/76
Addresses2^52
/64 networksPart of one
- Network
2c19:dd:dd2d::/76- First address
2c19:dd:dd2d::- Last address
2c19:dd:dd2d:0:f:ffff:ffff:ffff- Addresses
- 4,503,599,627,370,496 (2^52)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2c19:00dd:dd2d:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
0.0.0.0.0.0.0.d.2.d.d.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets
2c19:dd:dd2d::/76 makes 65,536 subnets of /92; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2c19:dd:dd2d::/92 | 2c19:dd:dd2d::f:ffff:ffff |
| 2 | 2c19:dd:dd2d::10:0:0/92 | 2c19:dd:dd2d::1f:ffff:ffff |
| 3 | 2c19:dd:dd2d::20:0:0/92 | 2c19:dd:dd2d::2f:ffff:ffff |
| 4 | 2c19:dd:dd2d::30:0:0/92 | 2c19:dd:dd2d::3f:ffff:ffff |
| 5 | 2c19:dd:dd2d::40:0:0/92 | 2c19:dd:dd2d::4f:ffff:ffff |
| 6 | 2c19:dd:dd2d::50:0:0/92 | 2c19:dd:dd2d::5f:ffff:ffff |
| 7 | 2c19:dd:dd2d::60:0:0/92 | 2c19:dd:dd2d::6f:ffff:ffff |
| 8 | 2c19:dd:dd2d::70:0:0/92 | 2c19:dd:dd2d::7f:ffff:ffff |
| 9 | 2c19:dd:dd2d::80:0:0/92 | 2c19:dd:dd2d::8f:ffff:ffff |
| 10 | 2c19:dd:dd2d::90:0:0/92 | 2c19:dd:dd2d::9f:ffff:ffff |
| 11 | 2c19:dd:dd2d::a0:0:0/92 | 2c19:dd:dd2d::af:ffff:ffff |
| 12 | 2c19:dd:dd2d::b0:0:0/92 | 2c19:dd:dd2d::bf:ffff:ffff |
| 13 | 2c19:dd:dd2d::c0:0:0/92 | 2c19:dd:dd2d::cf:ffff:ffff |
| 14 | 2c19:dd:dd2d::d0:0:0/92 | 2c19:dd:dd2d::df:ffff:ffff |
| 15 | 2c19:dd:dd2d::e0:0:0/92 | 2c19:dd:dd2d::ef:ffff:ffff |
| 16 | 2c19:dd:dd2d::f0:0:0/92 | 2c19:dd:dd2d::ff:ffff:ffff |
| 17 | 2c19:dd:dd2d::100:0:0/92 | 2c19:dd:dd2d::10f:ffff:ffff |
| 18 | 2c19:dd:dd2d::110:0:0/92 | 2c19:dd:dd2d::11f:ffff:ffff |
| 19 | 2c19:dd:dd2d::120:0:0/92 | 2c19:dd:dd2d::12f:ffff:ffff |
| 20 | 2c19:dd:dd2d::130:0:0/92 | 2c19:dd:dd2d::13f:ffff:ffff |
| 21 | 2c19:dd:dd2d::140:0:0/92 | 2c19:dd:dd2d::14f:ffff:ffff |
| 22 | 2c19:dd:dd2d::150:0:0/92 | 2c19:dd:dd2d::15f:ffff:ffff |
| 23 | 2c19:dd:dd2d::160:0:0/92 | 2c19:dd:dd2d::16f:ffff:ffff |
| 24 | 2c19:dd:dd2d::170:0:0/92 | 2c19:dd:dd2d::17f:ffff:ffff |
| 25 | 2c19:dd:dd2d::180:0:0/92 | 2c19:dd:dd2d::18f:ffff:ffff |
| 26 | 2c19:dd:dd2d::190:0:0/92 | 2c19:dd:dd2d::19f:ffff:ffff |
| 27 | 2c19:dd:dd2d::1a0:0:0/92 | 2c19:dd:dd2d::1af:ffff:ffff |
| 28 | 2c19:dd:dd2d::1b0:0:0/92 | 2c19:dd:dd2d::1bf:ffff:ffff |
| 29 | 2c19:dd:dd2d::1c0:0:0/92 | 2c19:dd:dd2d::1cf:ffff:ffff |
| 30 | 2c19:dd:dd2d::1d0:0:0/92 | 2c19:dd:dd2d::1df:ffff:ffff |
| 31 | 2c19:dd:dd2d::1e0:0:0/92 | 2c19:dd:dd2d::1ef:ffff:ffff |
| 32 | 2c19:dd:dd2d::1f0:0:0/92 | 2c19:dd:dd2d::1ff:ffff:ffff |
| 33 | 2c19:dd:dd2d::200:0:0/92 | 2c19:dd:dd2d::20f:ffff:ffff |
| 34 | 2c19:dd:dd2d::210:0:0/92 | 2c19:dd:dd2d::21f:ffff:ffff |
| 35 | 2c19:dd:dd2d::220:0:0/92 | 2c19:dd:dd2d::22f:ffff:ffff |
| 36 | 2c19:dd:dd2d::230:0:0/92 | 2c19:dd:dd2d::23f:ffff:ffff |
| 37 | 2c19:dd:dd2d::240:0:0/92 | 2c19:dd:dd2d::24f:ffff:ffff |
| 38 | 2c19:dd:dd2d::250:0:0/92 | 2c19:dd:dd2d::25f:ffff:ffff |
| 39 | 2c19:dd:dd2d::260:0:0/92 | 2c19:dd:dd2d::26f:ffff:ffff |
| 40 | 2c19:dd:dd2d::270:0:0/92 | 2c19:dd:dd2d::27f:ffff:ffff |
| 41 | 2c19:dd:dd2d::280:0:0/92 | 2c19:dd:dd2d::28f:ffff:ffff |
| 42 | 2c19:dd:dd2d::290:0:0/92 | 2c19:dd:dd2d::29f:ffff:ffff |
| 43 | 2c19:dd:dd2d::2a0:0:0/92 | 2c19:dd:dd2d::2af:ffff:ffff |
| 44 | 2c19:dd:dd2d::2b0:0:0/92 | 2c19:dd:dd2d::2bf:ffff:ffff |
| 45 | 2c19:dd:dd2d::2c0:0:0/92 | 2c19:dd:dd2d::2cf:ffff:ffff |
| 46 | 2c19:dd:dd2d::2d0:0:0/92 | 2c19:dd:dd2d::2df:ffff:ffff |
| 47 | 2c19:dd:dd2d::2e0:0:0/92 | 2c19:dd:dd2d::2ef:ffff:ffff |
| 48 | 2c19:dd:dd2d::2f0:0:0/92 | 2c19:dd:dd2d::2ff:ffff:ffff |
| 49 | 2c19:dd:dd2d::300:0:0/92 | 2c19:dd:dd2d::30f:ffff:ffff |
| 50 | 2c19:dd:dd2d::310:0:0/92 | 2c19:dd:dd2d::31f:ffff:ffff |
| 51 | 2c19:dd:dd2d::320:0:0/92 | 2c19:dd:dd2d::32f:ffff:ffff |
| 52 | 2c19:dd:dd2d::330:0:0/92 | 2c19:dd:dd2d::33f:ffff:ffff |
| 53 | 2c19:dd:dd2d::340:0:0/92 | 2c19:dd:dd2d::34f:ffff:ffff |
| 54 | 2c19:dd:dd2d::350:0:0/92 | 2c19:dd:dd2d::35f:ffff:ffff |
| 55 | 2c19:dd:dd2d::360:0:0/92 | 2c19:dd:dd2d::36f:ffff:ffff |
| 56 | 2c19:dd:dd2d::370:0:0/92 | 2c19:dd:dd2d::37f:ffff:ffff |
| 57 | 2c19:dd:dd2d::380:0:0/92 | 2c19:dd:dd2d::38f:ffff:ffff |
| 58 | 2c19:dd:dd2d::390:0:0/92 | 2c19:dd:dd2d::39f:ffff:ffff |
| 59 | 2c19:dd:dd2d::3a0:0:0/92 | 2c19:dd:dd2d::3af:ffff:ffff |
| 60 | 2c19:dd:dd2d::3b0:0:0/92 | 2c19:dd:dd2d::3bf:ffff:ffff |
| 61 | 2c19:dd:dd2d::3c0:0:0/92 | 2c19:dd:dd2d::3cf:ffff:ffff |
| 62 | 2c19:dd:dd2d::3d0:0:0/92 | 2c19:dd:dd2d::3df:ffff:ffff |
| 63 | 2c19:dd:dd2d::3e0:0:0/92 | 2c19:dd:dd2d::3ef:ffff:ffff |
| 64 | 2c19:dd:dd2d::3f0:0:0/92 | 2c19:dd:dd2d::3ff:ffff:ffff |
| 65 | 2c19:dd:dd2d::400:0:0/92 | 2c19:dd:dd2d::40f:ffff:ffff |
| 66 | 2c19:dd:dd2d::410:0:0/92 | 2c19:dd:dd2d::41f:ffff:ffff |
| 67 | 2c19:dd:dd2d::420:0:0/92 | 2c19:dd:dd2d::42f:ffff:ffff |
| 68 | 2c19:dd:dd2d::430:0:0/92 | 2c19:dd:dd2d::43f:ffff:ffff |
| 69 | 2c19:dd:dd2d::440:0:0/92 | 2c19:dd:dd2d::44f:ffff:ffff |
| 70 | 2c19:dd:dd2d::450:0:0/92 | 2c19:dd:dd2d::45f:ffff:ffff |
| 71 | 2c19:dd:dd2d::460:0:0/92 | 2c19:dd:dd2d::46f:ffff:ffff |
| 72 | 2c19:dd:dd2d::470:0:0/92 | 2c19:dd:dd2d::47f:ffff:ffff |
| 73 | 2c19:dd:dd2d::480:0:0/92 | 2c19:dd:dd2d::48f:ffff:ffff |
| 74 | 2c19:dd:dd2d::490:0:0/92 | 2c19:dd:dd2d::49f:ffff:ffff |
| 75 | 2c19:dd:dd2d::4a0:0:0/92 | 2c19:dd:dd2d::4af:ffff:ffff |
| 76 | 2c19:dd:dd2d::4b0:0:0/92 | 2c19:dd:dd2d::4bf:ffff:ffff |
| 77 | 2c19:dd:dd2d::4c0:0:0/92 | 2c19:dd:dd2d::4cf:ffff:ffff |
| 78 | 2c19:dd:dd2d::4d0:0:0/92 | 2c19:dd:dd2d::4df:ffff:ffff |
| 79 | 2c19:dd:dd2d::4e0:0:0/92 | 2c19:dd:dd2d::4ef:ffff:ffff |
| 80 | 2c19:dd:dd2d::4f0:0:0/92 | 2c19:dd:dd2d::4ff:ffff:ffff |
| 81 | 2c19:dd:dd2d::500:0:0/92 | 2c19:dd:dd2d::50f:ffff:ffff |
| 82 | 2c19:dd:dd2d::510:0:0/92 | 2c19:dd:dd2d::51f:ffff:ffff |
| 83 | 2c19:dd:dd2d::520:0:0/92 | 2c19:dd:dd2d::52f:ffff:ffff |
| 84 | 2c19:dd:dd2d::530:0:0/92 | 2c19:dd:dd2d::53f:ffff:ffff |
| 85 | 2c19:dd:dd2d::540:0:0/92 | 2c19:dd:dd2d::54f:ffff:ffff |
| 86 | 2c19:dd:dd2d::550:0:0/92 | 2c19:dd:dd2d::55f:ffff:ffff |
| 87 | 2c19:dd:dd2d::560:0:0/92 | 2c19:dd:dd2d::56f:ffff:ffff |
| 88 | 2c19:dd:dd2d::570:0:0/92 | 2c19:dd:dd2d::57f:ffff:ffff |
| 89 | 2c19:dd:dd2d::580:0:0/92 | 2c19:dd:dd2d::58f:ffff:ffff |
| 90 | 2c19:dd:dd2d::590:0:0/92 | 2c19:dd:dd2d::59f:ffff:ffff |
| 91 | 2c19:dd:dd2d::5a0:0:0/92 | 2c19:dd:dd2d::5af:ffff:ffff |
| 92 | 2c19:dd:dd2d::5b0:0:0/92 | 2c19:dd:dd2d::5bf:ffff:ffff |
| 93 | 2c19:dd:dd2d::5c0:0:0/92 | 2c19:dd:dd2d::5cf:ffff:ffff |
| 94 | 2c19:dd:dd2d::5d0:0:0/92 | 2c19:dd:dd2d::5df:ffff:ffff |
| 95 | 2c19:dd:dd2d::5e0:0:0/92 | 2c19:dd:dd2d::5ef:ffff:ffff |
| 96 | 2c19:dd:dd2d::5f0:0:0/92 | 2c19:dd:dd2d::5ff:ffff:ffff |
| 97 | 2c19:dd:dd2d::600:0:0/92 | 2c19:dd:dd2d::60f:ffff:ffff |
| 98 | 2c19:dd:dd2d::610:0:0/92 | 2c19:dd:dd2d::61f:ffff:ffff |
| 99 | 2c19:dd:dd2d::620:0:0/92 | 2c19:dd:dd2d::62f:ffff:ffff |
| 100 | 2c19:dd:dd2d::630:0:0/92 | 2c19:dd:dd2d::63f:ffff:ffff |
| 101 | 2c19:dd:dd2d::640:0:0/92 | 2c19:dd:dd2d::64f:ffff:ffff |
| 102 | 2c19:dd:dd2d::650:0:0/92 | 2c19:dd:dd2d::65f:ffff:ffff |
| 103 | 2c19:dd:dd2d::660:0:0/92 | 2c19:dd:dd2d::66f:ffff:ffff |
| 104 | 2c19:dd:dd2d::670:0:0/92 | 2c19:dd:dd2d::67f:ffff:ffff |
| 105 | 2c19:dd:dd2d::680:0:0/92 | 2c19:dd:dd2d::68f:ffff:ffff |
| 106 | 2c19:dd:dd2d::690:0:0/92 | 2c19:dd:dd2d::69f:ffff:ffff |
| 107 | 2c19:dd:dd2d::6a0:0:0/92 | 2c19:dd:dd2d::6af:ffff:ffff |
| 108 | 2c19:dd:dd2d::6b0:0:0/92 | 2c19:dd:dd2d::6bf:ffff:ffff |
| 109 | 2c19:dd:dd2d::6c0:0:0/92 | 2c19:dd:dd2d::6cf:ffff:ffff |
| 110 | 2c19:dd:dd2d::6d0:0:0/92 | 2c19:dd:dd2d::6df:ffff:ffff |
| 111 | 2c19:dd:dd2d::6e0:0:0/92 | 2c19:dd:dd2d::6ef:ffff:ffff |
| 112 | 2c19:dd:dd2d::6f0:0:0/92 | 2c19:dd:dd2d::6ff:ffff:ffff |
| 113 | 2c19:dd:dd2d::700:0:0/92 | 2c19:dd:dd2d::70f:ffff:ffff |
| 114 | 2c19:dd:dd2d::710:0:0/92 | 2c19:dd:dd2d::71f:ffff:ffff |
| 115 | 2c19:dd:dd2d::720:0:0/92 | 2c19:dd:dd2d::72f:ffff:ffff |
| 116 | 2c19:dd:dd2d::730:0:0/92 | 2c19:dd:dd2d::73f:ffff:ffff |
| 117 | 2c19:dd:dd2d::740:0:0/92 | 2c19:dd:dd2d::74f:ffff:ffff |
| 118 | 2c19:dd:dd2d::750:0:0/92 | 2c19:dd:dd2d::75f:ffff:ffff |
| 119 | 2c19:dd:dd2d::760:0:0/92 | 2c19:dd:dd2d::76f:ffff:ffff |
| 120 | 2c19:dd:dd2d::770:0:0/92 | 2c19:dd:dd2d::77f:ffff:ffff |
| 121 | 2c19:dd:dd2d::780:0:0/92 | 2c19:dd:dd2d::78f:ffff:ffff |
| 122 | 2c19:dd:dd2d::790:0:0/92 | 2c19:dd:dd2d::79f:ffff:ffff |
| 123 | 2c19:dd:dd2d::7a0:0:0/92 | 2c19:dd:dd2d::7af:ffff:ffff |
| 124 | 2c19:dd:dd2d::7b0:0:0/92 | 2c19:dd:dd2d::7bf:ffff:ffff |
| 125 | 2c19:dd:dd2d::7c0:0:0/92 | 2c19:dd:dd2d::7cf:ffff:ffff |
| 126 | 2c19:dd:dd2d::7d0:0:0/92 | 2c19:dd:dd2d::7df:ffff:ffff |
| 127 | 2c19:dd:dd2d::7e0:0:0/92 | 2c19:dd:dd2d::7ef:ffff:ffff |
| 128 | 2c19:dd:dd2d::7f0:0:0/92 | 2c19:dd:dd2d::7ff:ffff:ffff |
| 129 | 2c19:dd:dd2d::800:0:0/92 | 2c19:dd:dd2d::80f:ffff:ffff |
| 130 | 2c19:dd:dd2d::810:0:0/92 | 2c19:dd:dd2d::81f:ffff:ffff |
| 131 | 2c19:dd:dd2d::820:0:0/92 | 2c19:dd:dd2d::82f:ffff:ffff |
| 132 | 2c19:dd:dd2d::830:0:0/92 | 2c19:dd:dd2d::83f:ffff:ffff |
| 133 | 2c19:dd:dd2d::840:0:0/92 | 2c19:dd:dd2d::84f:ffff:ffff |
| 134 | 2c19:dd:dd2d::850:0:0/92 | 2c19:dd:dd2d::85f:ffff:ffff |
| 135 | 2c19:dd:dd2d::860:0:0/92 | 2c19:dd:dd2d::86f:ffff:ffff |
| 136 | 2c19:dd:dd2d::870:0:0/92 | 2c19:dd:dd2d::87f:ffff:ffff |
| 137 | 2c19:dd:dd2d::880:0:0/92 | 2c19:dd:dd2d::88f:ffff:ffff |
| 138 | 2c19:dd:dd2d::890:0:0/92 | 2c19:dd:dd2d::89f:ffff:ffff |
| 139 | 2c19:dd:dd2d::8a0:0:0/92 | 2c19:dd:dd2d::8af:ffff:ffff |
| 140 | 2c19:dd:dd2d::8b0:0:0/92 | 2c19:dd:dd2d::8bf:ffff:ffff |
| 141 | 2c19:dd:dd2d::8c0:0:0/92 | 2c19:dd:dd2d::8cf:ffff:ffff |
| 142 | 2c19:dd:dd2d::8d0:0:0/92 | 2c19:dd:dd2d::8df:ffff:ffff |
| 143 | 2c19:dd:dd2d::8e0:0:0/92 | 2c19:dd:dd2d::8ef:ffff:ffff |
| 144 | 2c19:dd:dd2d::8f0:0:0/92 | 2c19:dd:dd2d::8ff:ffff:ffff |
| 145 | 2c19:dd:dd2d::900:0:0/92 | 2c19:dd:dd2d::90f:ffff:ffff |
| 146 | 2c19:dd:dd2d::910:0:0/92 | 2c19:dd:dd2d::91f:ffff:ffff |
| 147 | 2c19:dd:dd2d::920:0:0/92 | 2c19:dd:dd2d::92f:ffff:ffff |
| 148 | 2c19:dd:dd2d::930:0:0/92 | 2c19:dd:dd2d::93f:ffff:ffff |
| 149 | 2c19:dd:dd2d::940:0:0/92 | 2c19:dd:dd2d::94f:ffff:ffff |
| 150 | 2c19:dd:dd2d::950:0:0/92 | 2c19:dd:dd2d::95f:ffff:ffff |
| 151 | 2c19:dd:dd2d::960:0:0/92 | 2c19:dd:dd2d::96f:ffff:ffff |
| 152 | 2c19:dd:dd2d::970:0:0/92 | 2c19:dd:dd2d::97f:ffff:ffff |
| 153 | 2c19:dd:dd2d::980:0:0/92 | 2c19:dd:dd2d::98f:ffff:ffff |
| 154 | 2c19:dd:dd2d::990:0:0/92 | 2c19:dd:dd2d::99f:ffff:ffff |
| 155 | 2c19:dd:dd2d::9a0:0:0/92 | 2c19:dd:dd2d::9af:ffff:ffff |
| 156 | 2c19:dd:dd2d::9b0:0:0/92 | 2c19:dd:dd2d::9bf:ffff:ffff |
| 157 | 2c19:dd:dd2d::9c0:0:0/92 | 2c19:dd:dd2d::9cf:ffff:ffff |
| 158 | 2c19:dd:dd2d::9d0:0:0/92 | 2c19:dd:dd2d::9df:ffff:ffff |
| 159 | 2c19:dd:dd2d::9e0:0:0/92 | 2c19:dd:dd2d::9ef:ffff:ffff |
| 160 | 2c19:dd:dd2d::9f0:0:0/92 | 2c19:dd:dd2d::9ff:ffff:ffff |
| 161 | 2c19:dd:dd2d::a00:0:0/92 | 2c19:dd:dd2d::a0f:ffff:ffff |
| 162 | 2c19:dd:dd2d::a10:0:0/92 | 2c19:dd:dd2d::a1f:ffff:ffff |
| 163 | 2c19:dd:dd2d::a20:0:0/92 | 2c19:dd:dd2d::a2f:ffff:ffff |
| 164 | 2c19:dd:dd2d::a30:0:0/92 | 2c19:dd:dd2d::a3f:ffff:ffff |
| 165 | 2c19:dd:dd2d::a40:0:0/92 | 2c19:dd:dd2d::a4f:ffff:ffff |
| 166 | 2c19:dd:dd2d::a50:0:0/92 | 2c19:dd:dd2d::a5f:ffff:ffff |
| 167 | 2c19:dd:dd2d::a60:0:0/92 | 2c19:dd:dd2d::a6f:ffff:ffff |
| 168 | 2c19:dd:dd2d::a70:0:0/92 | 2c19:dd:dd2d::a7f:ffff:ffff |
| 169 | 2c19:dd:dd2d::a80:0:0/92 | 2c19:dd:dd2d::a8f:ffff:ffff |
| 170 | 2c19:dd:dd2d::a90:0:0/92 | 2c19:dd:dd2d::a9f:ffff:ffff |
| 171 | 2c19:dd:dd2d::aa0:0:0/92 | 2c19:dd:dd2d::aaf:ffff:ffff |
| 172 | 2c19:dd:dd2d::ab0:0:0/92 | 2c19:dd:dd2d::abf:ffff:ffff |
| 173 | 2c19:dd:dd2d::ac0:0:0/92 | 2c19:dd:dd2d::acf:ffff:ffff |
| 174 | 2c19:dd:dd2d::ad0:0:0/92 | 2c19:dd:dd2d::adf:ffff:ffff |
| 175 | 2c19:dd:dd2d::ae0:0:0/92 | 2c19:dd:dd2d::aef:ffff:ffff |
| 176 | 2c19:dd:dd2d::af0:0:0/92 | 2c19:dd:dd2d::aff:ffff:ffff |
| 177 | 2c19:dd:dd2d::b00:0:0/92 | 2c19:dd:dd2d::b0f:ffff:ffff |
| 178 | 2c19:dd:dd2d::b10:0:0/92 | 2c19:dd:dd2d::b1f:ffff:ffff |
| 179 | 2c19:dd:dd2d::b20:0:0/92 | 2c19:dd:dd2d::b2f:ffff:ffff |
| 180 | 2c19:dd:dd2d::b30:0:0/92 | 2c19:dd:dd2d::b3f:ffff:ffff |
| 181 | 2c19:dd:dd2d::b40:0:0/92 | 2c19:dd:dd2d::b4f:ffff:ffff |
| 182 | 2c19:dd:dd2d::b50:0:0/92 | 2c19:dd:dd2d::b5f:ffff:ffff |
| 183 | 2c19:dd:dd2d::b60:0:0/92 | 2c19:dd:dd2d::b6f:ffff:ffff |
| 184 | 2c19:dd:dd2d::b70:0:0/92 | 2c19:dd:dd2d::b7f:ffff:ffff |
| 185 | 2c19:dd:dd2d::b80:0:0/92 | 2c19:dd:dd2d::b8f:ffff:ffff |
| 186 | 2c19:dd:dd2d::b90:0:0/92 | 2c19:dd:dd2d::b9f:ffff:ffff |
| 187 | 2c19:dd:dd2d::ba0:0:0/92 | 2c19:dd:dd2d::baf:ffff:ffff |
| 188 | 2c19:dd:dd2d::bb0:0:0/92 | 2c19:dd:dd2d::bbf:ffff:ffff |
| 189 | 2c19:dd:dd2d::bc0:0:0/92 | 2c19:dd:dd2d::bcf:ffff:ffff |
| 190 | 2c19:dd:dd2d::bd0:0:0/92 | 2c19:dd:dd2d::bdf:ffff:ffff |
| 191 | 2c19:dd:dd2d::be0:0:0/92 | 2c19:dd:dd2d::bef:ffff:ffff |
| 192 | 2c19:dd:dd2d::bf0:0:0/92 | 2c19:dd:dd2d::bff:ffff:ffff |
| 193 | 2c19:dd:dd2d::c00:0:0/92 | 2c19:dd:dd2d::c0f:ffff:ffff |
| 194 | 2c19:dd:dd2d::c10:0:0/92 | 2c19:dd:dd2d::c1f:ffff:ffff |
| 195 | 2c19:dd:dd2d::c20:0:0/92 | 2c19:dd:dd2d::c2f:ffff:ffff |
| 196 | 2c19:dd:dd2d::c30:0:0/92 | 2c19:dd:dd2d::c3f:ffff:ffff |
| 197 | 2c19:dd:dd2d::c40:0:0/92 | 2c19:dd:dd2d::c4f:ffff:ffff |
| 198 | 2c19:dd:dd2d::c50:0:0/92 | 2c19:dd:dd2d::c5f:ffff:ffff |
| 199 | 2c19:dd:dd2d::c60:0:0/92 | 2c19:dd:dd2d::c6f:ffff:ffff |
| 200 | 2c19:dd:dd2d::c70:0:0/92 | 2c19:dd:dd2d::c7f:ffff:ffff |
| 201 | 2c19:dd:dd2d::c80:0:0/92 | 2c19:dd:dd2d::c8f:ffff:ffff |
| 202 | 2c19:dd:dd2d::c90:0:0/92 | 2c19:dd:dd2d::c9f:ffff:ffff |
| 203 | 2c19:dd:dd2d::ca0:0:0/92 | 2c19:dd:dd2d::caf:ffff:ffff |
| 204 | 2c19:dd:dd2d::cb0:0:0/92 | 2c19:dd:dd2d::cbf:ffff:ffff |
| 205 | 2c19:dd:dd2d::cc0:0:0/92 | 2c19:dd:dd2d::ccf:ffff:ffff |
| 206 | 2c19:dd:dd2d::cd0:0:0/92 | 2c19:dd:dd2d::cdf:ffff:ffff |
| 207 | 2c19:dd:dd2d::ce0:0:0/92 | 2c19:dd:dd2d::cef:ffff:ffff |
| 208 | 2c19:dd:dd2d::cf0:0:0/92 | 2c19:dd:dd2d::cff:ffff:ffff |
| 209 | 2c19:dd:dd2d::d00:0:0/92 | 2c19:dd:dd2d::d0f:ffff:ffff |
| 210 | 2c19:dd:dd2d::d10:0:0/92 | 2c19:dd:dd2d::d1f:ffff:ffff |
| 211 | 2c19:dd:dd2d::d20:0:0/92 | 2c19:dd:dd2d::d2f:ffff:ffff |
| 212 | 2c19:dd:dd2d::d30:0:0/92 | 2c19:dd:dd2d::d3f:ffff:ffff |
| 213 | 2c19:dd:dd2d::d40:0:0/92 | 2c19:dd:dd2d::d4f:ffff:ffff |
| 214 | 2c19:dd:dd2d::d50:0:0/92 | 2c19:dd:dd2d::d5f:ffff:ffff |
| 215 | 2c19:dd:dd2d::d60:0:0/92 | 2c19:dd:dd2d::d6f:ffff:ffff |
| 216 | 2c19:dd:dd2d::d70:0:0/92 | 2c19:dd:dd2d::d7f:ffff:ffff |
| 217 | 2c19:dd:dd2d::d80:0:0/92 | 2c19:dd:dd2d::d8f:ffff:ffff |
| 218 | 2c19:dd:dd2d::d90:0:0/92 | 2c19:dd:dd2d::d9f:ffff:ffff |
| 219 | 2c19:dd:dd2d::da0:0:0/92 | 2c19:dd:dd2d::daf:ffff:ffff |
| 220 | 2c19:dd:dd2d::db0:0:0/92 | 2c19:dd:dd2d::dbf:ffff:ffff |
| 221 | 2c19:dd:dd2d::dc0:0:0/92 | 2c19:dd:dd2d::dcf:ffff:ffff |
| 222 | 2c19:dd:dd2d::dd0:0:0/92 | 2c19:dd:dd2d::ddf:ffff:ffff |
| 223 | 2c19:dd:dd2d::de0:0:0/92 | 2c19:dd:dd2d::def:ffff:ffff |
| 224 | 2c19:dd:dd2d::df0:0:0/92 | 2c19:dd:dd2d::dff:ffff:ffff |
| 225 | 2c19:dd:dd2d::e00:0:0/92 | 2c19:dd:dd2d::e0f:ffff:ffff |
| 226 | 2c19:dd:dd2d::e10:0:0/92 | 2c19:dd:dd2d::e1f:ffff:ffff |
| 227 | 2c19:dd:dd2d::e20:0:0/92 | 2c19:dd:dd2d::e2f:ffff:ffff |
| 228 | 2c19:dd:dd2d::e30:0:0/92 | 2c19:dd:dd2d::e3f:ffff:ffff |
| 229 | 2c19:dd:dd2d::e40:0:0/92 | 2c19:dd:dd2d::e4f:ffff:ffff |
| 230 | 2c19:dd:dd2d::e50:0:0/92 | 2c19:dd:dd2d::e5f:ffff:ffff |
| 231 | 2c19:dd:dd2d::e60:0:0/92 | 2c19:dd:dd2d::e6f:ffff:ffff |
| 232 | 2c19:dd:dd2d::e70:0:0/92 | 2c19:dd:dd2d::e7f:ffff:ffff |
| 233 | 2c19:dd:dd2d::e80:0:0/92 | 2c19:dd:dd2d::e8f:ffff:ffff |
| 234 | 2c19:dd:dd2d::e90:0:0/92 | 2c19:dd:dd2d::e9f:ffff:ffff |
| 235 | 2c19:dd:dd2d::ea0:0:0/92 | 2c19:dd:dd2d::eaf:ffff:ffff |
| 236 | 2c19:dd:dd2d::eb0:0:0/92 | 2c19:dd:dd2d::ebf:ffff:ffff |
| 237 | 2c19:dd:dd2d::ec0:0:0/92 | 2c19:dd:dd2d::ecf:ffff:ffff |
| 238 | 2c19:dd:dd2d::ed0:0:0/92 | 2c19:dd:dd2d::edf:ffff:ffff |
| 239 | 2c19:dd:dd2d::ee0:0:0/92 | 2c19:dd:dd2d::eef:ffff:ffff |
| 240 | 2c19:dd:dd2d::ef0:0:0/92 | 2c19:dd:dd2d::eff:ffff:ffff |
| 241 | 2c19:dd:dd2d::f00:0:0/92 | 2c19:dd:dd2d::f0f:ffff:ffff |
| 242 | 2c19:dd:dd2d::f10:0:0/92 | 2c19:dd:dd2d::f1f:ffff:ffff |
| 243 | 2c19:dd:dd2d::f20:0:0/92 | 2c19:dd:dd2d::f2f:ffff:ffff |
| 244 | 2c19:dd:dd2d::f30:0:0/92 | 2c19:dd:dd2d::f3f:ffff:ffff |
| 245 | 2c19:dd:dd2d::f40:0:0/92 | 2c19:dd:dd2d::f4f:ffff:ffff |
| 246 | 2c19:dd:dd2d::f50:0:0/92 | 2c19:dd:dd2d::f5f:ffff:ffff |
| 247 | 2c19:dd:dd2d::f60:0:0/92 | 2c19:dd:dd2d::f6f:ffff:ffff |
| 248 | 2c19:dd:dd2d::f70:0:0/92 | 2c19:dd:dd2d::f7f:ffff:ffff |
| 249 | 2c19:dd:dd2d::f80:0:0/92 | 2c19:dd:dd2d::f8f:ffff:ffff |
| 250 | 2c19:dd:dd2d::f90:0:0/92 | 2c19:dd:dd2d::f9f:ffff:ffff |
| 251 | 2c19:dd:dd2d::fa0:0:0/92 | 2c19:dd:dd2d::faf:ffff:ffff |
| 252 | 2c19:dd:dd2d::fb0:0:0/92 | 2c19:dd:dd2d::fbf:ffff:ffff |
| 253 | 2c19:dd:dd2d::fc0:0:0/92 | 2c19:dd:dd2d::fcf:ffff:ffff |
| 254 | 2c19:dd:dd2d::fd0:0:0/92 | 2c19:dd:dd2d::fdf:ffff:ffff |
| 255 | 2c19:dd:dd2d::fe0:0:0/92 | 2c19:dd:dd2d::fef:ffff:ffff |
| 256 | 2c19:dd:dd2d::ff0:0:0/92 | 2c19:dd:dd2d::fff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |